Bug 597710 - kernel-2.6.33.5-112.fc13.x86_64 doesn't find btrfs-root-device
Summary: kernel-2.6.33.5-112.fc13.x86_64 doesn't find btrfs-root-device
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
low
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-30 08:48 UTC by Wolfgang Ulbrich
Modified: 2011-06-09 18:09 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-09 18:09:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Wolfgang Ulbrich 2010-05-30 08:48:25 UTC
Description of problem:

After choosing this kernel in the fedora start menu i get a kernelloop and my system freeze.
This happens in the begining of the boot process before udev.
There was no trace or anything other logged. So i had to write it down from the screen.
My root-filesystem is btrfs on /dev/sda1.
If you want to know more info let me know.

Version-Release number of selected component (if applicable):
kernel-2.6.33.5-112.fc13.x86_64

How reproducible:
Starting kernel

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
-with kernel-2.6.33.5-112.fc13.x86_64.debug:

Kernel-panic - not syncing:VFS: Unable to mount root fs on unknown-block (0,0)
Pid:1 comm:swapper Not tainted 2.6.33.5-112.fc13.x86_64.debug #1
Call trace:
[<ffffffff8147939b>] panic x0x7a/0x142
[<ffffffff81d7931b>] mount_block_root x0x266/0x291
[<ffffffff81d7939b>] mount_root x0x56/0x5d
[<ffffffff81d79510>] prepare_namespace x0x170/0x26a
[<ffffffff81d787a8>] kernel_init x0x256/0x26a
[<ffffffff8100aae4>] kernel_threat_helper x0x4/0x10
[<ffffffff8147b410>] restore args x0x0/0x26a
[<ffffffff81d78552>] kernel_init x0x0/0x26a
[<ffffffff8100aae0>] kernel_threat_helper x0x0/0x10

grub.conf:

title Fedora (2.6.33.5-112.fc13.x86_64.debug)
	root (hd0,1)
	kernel /vmlinuz-2.6.33.5-112.fc13.x86_64.debug ro root=UUID=5654627e-a81f-4456-965a-8ed3469c4126 rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM rd_NO_PLYMOUTH LANG=de_DE.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=de-latin1-nodeadkeys nofirewire fastboot raid=noautodetect selinux=0 nomodeset vga=789

Comment 1 Wolfgang Ulbrich 2010-05-30 14:30:39 UTC
The patch btrfs-check-for-read-permission-on-src-file-in-clone-ioctl.patch is ugly for my system.
I delete the patch lines in patch-2.6.33.5 from this patch and rebuild the kernel.
With this rebuild-kernel my system boot and work with no problems.
I hope you delete this patch from the kernel mainline or make a rework of it.

Comment 2 Alexi Pochet 2010-06-09 23:19:59 UTC
I have exactly the same issue with an ext4 filesystem.

I run on a fresh installation of fedora (about 30min when the bug appends),
so all my configs are about the default ones.

Comment 3 Wolfgang Ulbrich 2010-06-10 14:32:34 UTC
Try use kernel-2.6.33.5-122.fc13.x86_64 from koji. With this kernel include the btrfs-patch my system starts well.

Comment 4 Chris Nutt 2010-06-10 19:56:01 UTC
Same issue on same I686 kernel-2.6.33.5-112.fc13.i686 on ext4, only other thing i have noticed is that the Caps Lock flashes on my thinkpad display, doubt relevant but thought odd so added

Comment 5 Bug Zapper 2011-06-02 12:48:31 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Wolfgang Ulbrich 2011-06-02 19:50:27 UTC
Thank you Bug-Developmenters,
But it's to late, i do not use fc13 since 1 years ago. ;)


Note You need to log in before you can comment on or make changes to this bug.